Subject: [bug#30603] Upgrade Racket to 6.12

From: Christopher Lemmer Webber <[email-masked]>
Date: Mon, 26 Feb 2018 10:33:41 -0600

Danny Milosavljevic writes:

> Hmmm... doesn't that break the GC?
>
> I would just remove MZ_IS_NEG_ZERO in the first place.  There's a fallback in the caller...
>
> Or use a newer gcc so MZ_IS_NEG_ZERO expands to a builtin.

Hm, maybe it does break the GC.  I actually admittedly have no idea how
the patch I applied "fixes" things... I was just miming the "solution"
in:

  https://github.com/racket/racket/issues/464#issuecomment-26626089

I have filed my own issue but have not yet heard back:

  https://github.com/racket/racket/issues/1962

Danny, which of the suggestions you made do you think we should do?
Maybe removing MZ_IS_NEG_ZERO is easier?  I don't know what implications
there are in bumping up gcc...